Name:		alexandra
Version:	1.5.1
Release:	%mkrel 10
Summary:	Small, fast, but powerful video library
License:	GPLv2
Group:		Video/Utilities
URL:		https://github.com/eugene-melnik/alexandra
Source0:	https://github.com/eugene-melnik/alexandra/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		alexandra-1.5.1-complete-French-translation.patch
BuildRequires:	pkgconfig(libmediainfo)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	qttools5

%description
Alexandra Video Library — a simple and comfortable program for organization
and management of the your video library. You can completely customize your
movies in a list or a grid, add detailed information, tags, posters, view
technical information about the file and use advanced search.
Small, fast, but powerful video library, written in C++ with Qt5.

**Features:**

 - Lot of fields with information about the film.
 - Automatically retrieving data from the internet.
 - Fast filtration in the view and powerful advanced search.
 - Fully customizable user interface.
 - Selection of your favourite player.
 - Hard drive scanner.
 - Random film selection.
 - Views statistics.
 - MediaInfo built-in.
 - Portable version.

%prep
%autosetup -p1

%build
%qmake_qt5 %{name}.pro
%make_build

%install
%qmakeinstall_std

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.5.1-10.mga10
+ Revision: 2214107
- Mageia 10 Mass Rebuild
+ daviddavid <daviddavid>
- update Url and Source Url

* Sun Apr 03 2022 umeabot <umeabot> 1.5.1-9.mga9
+ Revision: 1841984
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.5.1-8.mga8
+ Revision: 1658128
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-7.mga8
+ Revision: 1524404
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 1.5.1-6.mga7
+ Revision: 1381225
- Qt5 Rebuild

* Fri Feb 22 2019 daviddavid <daviddavid> 1.5.1-5.mga7
+ Revision: 1369299
- rebuild against Qt5 5.12.1

* Fri Sep 21 2018 umeabot <umeabot> 1.5.1-4.mga7
+ Revision: 1294279
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 1.5.1-3.mga7
+ Revision: 1230494
- rebuild against new Qt5 5.10.1 stack

* Sun Jan 07 2018 daviddavid <daviddavid> 1.5.1-2.mga7
+ Revision: 1191298
- actually apply patch

* Sun Jan 07 2018 daviddavid <daviddavid> 1.5.1-1.mga7
+ Revision: 1191291
- new version: 1.5.1

* Sun Apr 10 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 1000165
- new version: 1.5.0
- update Summary and Description

* Sat Feb 13 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 959483
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 891935
- new version: 1.4.0
- add BR on qttools5

* Wed Aug 26 2015 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 870008
- new version: 1.3.0
- switch to %%license macro
- update file list

* Tue Aug 11 2015 daviddavid <daviddavid> 1.2.3-1.mga6
+ Revision: 863202
- initial package alexandra


* Tue Aug 11 2015 daviddavid (MLO Team) <daviddavid> 1.2.3-0.1.mga5
+ Build package for Mageia 5 (Core\MLO)
- imported package alexandra
